## fontmatrix 0.4.2

=== CMakeLists.txt ===
# Fontmatrix ./CMakeLists.txt v1

PROJECT(fontmatrix) # the name of your project
CMAKE_MINIMUM_REQUIRED(VERSION 2.4.0)

SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "4")
SET (VERSION_PATCH "2")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
ADD_DEFINITIONS(-DFONTMATRIX_VERSION_MAJOR=${VERSION_MAJOR} -DFONTMATRIX_VERSION_MINOR=${VERSION_MINOR} -DFONTMATRIX_VERSION_PATCH=${VERSION_PATCH})
MESSAGE(STATUS "Building Fontmatrix ${VERSION}")

SET(OWN_SHAPER 1)

IF(OWN_SHAPER)
    ADD_DEFINITIONS( -DFM_OWNSHAPER )
    MESSAGE(STATUS "Use own shaper rather than HB")
ENDIF(OWN_SHAPER)

SET(HARFBUZZ_DIR harfbuzz/src)
ADD_SUBDIRECTORY(${HARFBUZZ_DIR})
SET(HARFBUZZ_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/harfbuzz/src)


#>> IF(HIGH_PERF)
    ADD_DEFINITIONS( -DHIGH_PERF )
    MESSAGE(STATUS "High performance required :-)")
#<< ENDIF(HIGH_PERF)



IF(NO_ASSERT)
	ADD_DEFINITIONS(-DNDEBUG )
ENDIF(NO_ASSERT)

SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
# A lot from Scribus
#<< Qt 
SET (QT_MT_REQUIRED TRUE)
SET (QT_MIN_VERSION "4.3.0")
SET (QT_USE_QTXML TRUE )
SET (QT_USE_QTSVG TRUE )
SET (QT_USE_QTNETWORK TRUE )
FIND_PACKAGE(Qt4 REQUIRED)
INCLUDE( ${QT_USE_FILE} )
IF (QT_FOUND)
  MESSAGE(STATUS "Qt4 Found OK")
#Add our Qt definitions
#   ADD_DEFINITIONS(
#     ${QT_DEFINITIONS}
#     -DQT_CORE_LIB
#     -DQT_GUI_LIB
#     -DQT_THREAD_LIB
#     -DQT_XML_LIB
#   )
ELSE(QT_FOUND)
  MESSAGE(FATAL_ERROR "No Qt4 found")
ENDIF(QT_FOUND)
#>> Qt

#<< FreeType2
SET(FREETYPE_DIR ${CMAKE_MODULE_PATH})
FIND_PACKAGE(FREETYPE REQUIRED)
IF (FREETYPE_FOUND)
  MESSAGE(STATUS "FreeType2 Library Found OK")
  INCLUDE(CheckLibraryExists)
  SET(CMAKE_REQUIRED_LIBRARIES z)
  CHECK_LIBRARY_EXISTS(libfreetype.so FT_Get_First_Char ${FREETYPE_LIBRARY_DIR} HAVE_FREETYPE_FIRST)
  CHECK_LIBRARY_EXISTS(libfreetype.so FT_Get_Next_Char  ${FREETYPE_LIBRARY_DIR} HAVE_FREETYPE_NEXT)
ELSE (FREETYPE_FOUND)
  MESSAGE(STATUS "No Freetype found")  
ENDIF(FREETYPE_FOUND)
#FIXME: if cflags empty add, otherwise replace as now
SET(CFLAGS "${LIBFREETYPE_CFLAGS}")
#>> FreeType2

SET(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
  FIND_PACKAGE(FONTCONFIG)
IF(FONTCONFIG_FOUND)
        MESSAGE(STATUS "FontConfig Found OK")
        ADD_DEFINITIONS( -DHAVE_FONTCONFIG )
ENDIF(FONTCONFIG_FOUND)


# tell cmake to process CMakeLists.txt in that subdirectory


ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(src/langs)

######## Installation ##################

IF (CMAKE_INSTALL_PREFIX) 
	SET (INSTALLDIR ${CMAKE_INSTALL_PREFIX})
ELSE (CMAKE_INSTALL_PREFIX)
	SET (INSTALLDIR "/usr/local")
ENDIF (CMAKE_INSTALL_PREFIX) 

MESSAGE(STATUS "")
MESSAGE(STATUS "Fontmatrix will be installed under ${CMAKE_INSTALL_PREFIX}")
MESSAGE(STATUS "")

SET(DESKTOPDIR "share/applications/")
# ADD_DEFINITIONS("-DDESKTOPDIR=\\\"${CMAKE_INSTALL_PREFIX}/${DESKTOPDIR}\\\"")
INSTALL(FILES
  fontmatrix.desktop
  DESTINATION ${DESKTOPDIR}
)

SET(ICONDIR "share/icons/hicolor/48x48/apps/")
# ADD_DEFINITIONS("-DICONDIR=\\\"${CMAKE_INSTALL_PREFIX}/${ICONDIR}\\\"")
INSTALL(FILES
  fontmatrix.png
  DESTINATION ${ICONDIR}
)

SET(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})

INCLUDE(CPack)

=== src/CMakeLists.txt ===
# Fontmatrix src/CMakeLists.txt v1

set(fontmatrix_SRCS
aboutwidget.cpp
dataloader.cpp
fmglyphsview.cpp
fmpreviewlist.cpp
fmsampletextview.cpp
# fontactionwidget.cpp
fontbookdialog.cpp
fontitem.cpp
helpwidget.cpp
importedfontsdialog.cpp
listdockwidget.cpp
main.cpp
mainviewwidget.cpp
savedata.cpp
systray.cpp
tagseteditor.cpp
typotek.cpp
fmotf.cpp
prefspaneldialog.cpp
fontbook.cpp
importtags.cpp
dataexport.cpp
remotedir.cpp
fmrepair.cpp
fmnamelist.cpp
textprogression.cpp
fmplayground.cpp
)

IF(OWN_SHAPER)
	SET(shaper_SRCS
	fmshaper_own.cpp
	)
ELSE(OWN_SHAPER)
	SET(shaper_SRCS
	fmshaper.cpp
	)
ENDIF(OWN_SHAPER)

SET(fontmatrix_MOC_HDRS
aboutwidget.h
fmglyphsview.h
fmpreviewlist.h
fmsampletextview.h
# fontactionwidget.h
fontbookdialog.h
fontitem.h
helpwidget.h
listdockwidget.h
mainviewwidget.h
systray.h
tagseteditor.h
typotek.h
prefspaneldialog.h
importtags.h
remotedir.h
fmrepair.h
fmnamelist.h
textprogression.h
fmplayground.h
)
QT4_WRAP_CPP(fontmatrix_MOC_SRCS ${fontmatrix_MOC_HDRS})


SET(fontmatrix_UIS
about.ui
bookexport.ui
# fontaction.ui
help.ui
importedfonts.ui
listsdock.ui
mainview.ui
tagset.ui
prefs_panel.ui
importtags.ui
repair.ui
textprogression.ui
)
QT4_WRAP_UI(fontmatrix_UIS_H ${fontmatrix_UIS})

SET(fontmatrix_RCCS
application.qrc
)
QT4_ADD_RESOURCES(fontmatrix_RCC_SRCS ${fontmatrix_RCCS})

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${QT_INCLUDE_DIR}
${FREETYPE_INCLUDE_DIR}
${HARFBUZZ_INCLUDE_DIR}
${FONTCONFIG_INCLUDE_DIR}
)

add_executable(fontmatrix 
${fontmatrix_SRCS} 
${shaper_SRCS}
${fontmatrix_MOC_SRCS} 
${fontmatrix_UIS_H}
${fontmatrix_RCC_SRCS}
)

# MESSAGE(STATUS ${QT_LIBRARIES})
# MESSAGE(STATUS ${FREETYPE_LIBRARIES})
# MESSAGE(STATUS ${HARFBUZZ_LIBRARIES})

target_link_libraries(fontmatrix harfbuzz
${QT_LIBRARIES}
${FREETYPE_LIBRARIES}
${FONTCONFIG_LIBRARIES}
)

INSTALL(TARGETS fontmatrix
      RUNTIME DESTINATION bin
)

=== harfbuzz/src/CMakeLists.txt ===
IF(OWN_SHAPER)
	SET(harfbuzz_SOURCES
	harfbuzz.c
	harfbuzz-gsub.c
	harfbuzz-stream.c
	harfbuzz-buffer.c
	harfbuzz-gdef.c
	harfbuzz-gpos.c
	harfbuzz-open.c
	harfbuzz-impl.c
	)
ELSE(OWN_SHAPER)
	SET(harfbuzz_SOURCES
	harfbuzz-arabic.c
	harfbuzz.c
	harfbuzz-gsub.c
	harfbuzz-hebrew.c
	harfbuzz-myanmar.c
	harfbuzz-stream.c
	harfbuzz-buffer.c
	harfbuzz-dump.c
	harfbuzz-gdef.c
	harfbuzz-gpos.c
	harfbuzz-hangul.c
	harfbuzz-khmer.c
	harfbuzz-open.c
	harfbuzz-tibetan.c
	harfbuzz-indic.cpp 
	harfbuzz-shaper-all.cpp
	harfbuzz-shaper.cpp
	harfbuzz-thai.cpp
	harfbuzz-impl.c
	)
ENDIF(OWN_SHAPER)


ADD_LIBRARY(harfbuzz
STATIC ${harfbuzz_SOURCES})


# MESSAGE(STATUS "Adding ${harfbuzz}" )

=== src/langs/CMakeLists.txt ===
SET(dodict_SOURCES
dodict.cpp
)

ADD_EXECUTABLE(dodict ${dodict_SOURCES})
target_link_libraries(dodict ${QT_LIBRARIES})

## fontmatrix 0.6.0%2Bsvn20110930

=== CMakeLists.txt ===
# Fontmatrix ./CMakeLists.txt v1

PROJECT(fontmatrix) # the name of your project
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)

SET (VERSION_MAJOR "0")
SET (VERSION_MINOR "9")
SET (VERSION_PATCH "99")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
ADD_DEFINITIONS(-DFONTMATRIX_VERSION_MAJOR=${VERSION_MAJOR} -DFONTMATRIX_VERSION_MINOR=${VERSION_MINOR} -DFONTMATRIX_VERSION_PATCH=${VERSION_PATCH})
MESSAGE(STATUS "Building Fontmatrix ${VERSION}")


IF(UNIX AND NOT APPLE)
	SET (CMAKE_INSTALL_PREFIX /usr/local CACHE PATH "Installation path")
	SET (FONTMATRIX_BIN bin )
	SET (FONTMATRIX_QMDIR "share/fontmatrix/qm" )
ENDIF(UNIX AND NOT APPLE)

IF(APPLE)
# 	SET (CMAKE_INSTALL_PREFIX /Applications CACHE PATH "Installation path")
# 	SET (FONTMATRIX_BIN bin "")
	set( CMAKE_OSX_ARCHITECTURES i386 )
ENDIF(APPLE)

IF(WIN32)
	SET (CMAKE_INSTALL_PREFIX c:/fontmatrix CACHE PATH "Installation path")
	SET (FONTMATRIX_BIN "")
	SET (FONTMATRIX_QMDIR "qm" )
ENDIF(WIN32)

ADD_DEFINITIONS(-DPREFIX="${CMAKE_INSTALL_PREFIX}")
MESSAGE(STATUS "Fontmatrix will be installed under ${CMAKE_INSTALL_PREFIX}")



SET(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# Very generic definition, mainly to sort out bugs reported by mrdocs
IF(APPLE)
	ADD_DEFINITIONS( -DPLATFORM_APPLE )
ENDIF(APPLE)

#<< harfbuzz (shaper)
IF(WANT_HARFBUZZ)
# Since Harfbuzz source code is included into
# FM source tree, it’s just a matter of activation
# and « cohérence »
	ADD_DEFINITIONS( -DHAVE_HARFBUZZ )
	SET(HARFBUZZSHAPER 1)
	MESSAGE(STATUS "Build Harbuzz shaper support")
ENDIF(WANT_HARFBUZZ)
#>> harfbuzz (shaper)

#<< ICU
IF(WANT_ICU)
# 	SET(ICU_DIR ${CMAKE_MODULE_PATH})
	FIND_PACKAGE(ICU)
	if(ICU_FOUND)
		MESSAGE(STATUS "ICU Found OK")
		ADD_DEFINITIONS( -DHAVE_ICU )
		SET(ICUSHAPER 1)
		MESSAGE(STATUS "Build ICU shaper support")
	ELSE(ICU_FOUND)
		MESSAGE(FATAL_ERROR "ICU Not Found ARGH")
	ENDIF(ICU_FOUND)
ENDIF(WANT_ICU)

#>> ICU

#<< m17n
IF(WANT_M17N)
# 	SET(M17N_DIR ${CMAKE_MODULE_PATH})
	FIND_PACKAGE(M17N)
	if(M17N_FOUND)
		MESSAGE(STATUS "M17N Found OK")
		ADD_DEFINITIONS( -DHAVE_M17N )
		SET(M17NSHAPER 1)
		MESSAGE(STATUS "Build m17n shaper support")
	ELSE(M17N_FOUND)
		MESSAGE(FATAL_ERROR "M17N Not Found ARGH")
	ENDIF(M17N_FOUND)
ENDIF(WANT_M17N)
#>> m17n

IF(WANT_PODOFO)
# 	SET(LIBPODOFO_DIR ${CMAKE_MODULE_PATH})
	FIND_PACKAGE(LIBPODOFO)
	IF(LIBPODOFO_FOUND)
		MESSAGE(STATUS "PoDoFo Library Found OK")
		ADD_DEFINITIONS(-DHAVE_PODOFO)
		SET(PODOFO 1)
	ENDIF(LIBPODOFO_FOUND)
ENDIF(WANT_PODOFO)


# I can’t remember what it does :|
ADD_DEFINITIONS( -DHIGH_PERF )


IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
	MESSAGE(STATUS "Debug build")
	ADD_DEFINITIONS(-DBUILD_TYPE_DEBUG)
ELSE(CMAKE_BUILD_TYPE STREQUAL "Debug")
	ADD_DEFINITIONS(-DQT_NO_DEBUG_OUTPUT)
ENDIF(CMAKE_BUILD_TYPE STREQUAL "Debug")

# A lot from Scribus
#<< Qt 
SET (QT_MIN_VERSION "4.4.0")
FIND_PACKAGE(Qt4 REQUIRED)
SET (QT_MT_REQUIRED TRUE)
SET (QT_USE_QTXML TRUE )
SET (QT_USE_QTSVG TRUE )
SET (QT_USE_QTSQL TRUE )
SET (QT_USE_QTNETWORK TRUE )
SET (QT_USE_QTWEBKIT TRUE )
SET (QT_USE_QTOPENGL TRUE )
INCLUDE( ${QT_USE_FILE} )

IF (QT_FOUND)
	IF(QT_QTWEBKIT_FOUND)
  		MESSAGE(STATUS "Qt4 Found OK")
		# Webkit needs it at least with OpenSuse package
#   		INCLUDE_DIRECTORIES( QT_QT_INCLUDE_DIR )
	ELSE(QT_QTWEBKIT_FOUND)
		MESSAGE(FATAL_ERROR "QtWebKit not found")
  	ENDIF(QT_QTWEBKIT_FOUND)
ELSE(QT_FOUND)
	MESSAGE(FATAL_ERROR "No Qt4 found")
ENDIF(QT_FOUND)
#>> Qt

IF(QT_QTOPENGL_FOUND)
	ADD_DEFINITIONS(-DHAVE_QTOPENGL )
ENDIF(QT_QTOPENGL_FOUND)

SET(HARFBUZZ_DIR harfbuzz/src)
ADD_SUBDIRECTORY(${HARFBUZZ_DIR})
MESSAGE(STATUS "Adding "${CMAKE_SOURCE_DIR}/${HARFBUZZ_DIR})
SET(HARFBUZZ_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/${HARFBUZZ_DIR})

# SET(PUZZLE_DIR libpuzzle/src)
# ADD_SUBDIRECTORY(${PUZZLE_DIR})
# MESSAGE(STATUS "Adding "${CMAKE_SOURCE_DIR}/${PUZZLE_DIR})
# SET(PUZZLE_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/${PUZZLE_DIR})

#<< FreeType2
# We give a try to the built-in cmake Freetype.cmake
FIND_PACKAGE(Freetype REQUIRED)
IF (FREETYPE_FOUND)
  MESSAGE(STATUS "FreeType2 Library Found OK")
ELSE (FREETYPE_FOUND)
  MESSAGE(FATAL_ERROR "No Freetype found")  
ENDIF(FREETYPE_FOUND)
#>> FreeType2

IF(WANT_PYTHONQT)
	FIND_PACKAGE(PythonLibs REQUIRED)
	if(PYTHONLIBS_FOUND)
		MESSAGE(STATUS "Python Library Found OK")
	else(PYTHONLIBS_FOUND)
		MESSAGE(FATAL_ERROR "No Python Library found")
	endif(PYTHONLIBS_FOUND)
	SET(PYTHONQT_INCLUDE_DIRS  ${CMAKE_SOURCE_DIR}/pythonqt/src)
	ADD_SUBDIRECTORY(${PYTHONQT_INCLUDE_DIRS})
	ADD_DEFINITIONS(-DHAVE_PYTHONQT)
ENDIF(WANT_PYTHONQT)

IF(UNIX AND NOT APPLE)
	SET(FONTCONFIG_DIR ${CMAKE_MODULE_PATH})
	FIND_PACKAGE(FONTCONFIG)
	IF(FONTCONFIG_FOUND)
		MESSAGE(STATUS "FontConfig Found OK")
		ADD_DEFINITIONS( -DHAVE_FONTCONFIG )
	ENDIF(FONTCONFIG_FOUND)
ENDIF(UNIX AND NOT APPLE)


SET(FM_TEMPLATES_FILES
${CMAKE_SOURCE_DIR}/src/graphic-resources/template_oneline.xml
${CMAKE_SOURCE_DIR}/src/graphic-resources/template_oneline.png
${CMAKE_SOURCE_DIR}/src/graphic-resources/template_default.xml
${CMAKE_SOURCE_DIR}/src/graphic-resources/template_default.png
)
SET(FM_STYLE_FILES
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/info.css
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/fontmatrix.js
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/img/css-info-propertyname.png
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/img/css-info-property.png
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/img/css-shadow.png
${CMAKE_SOURCE_DIR}/src/graphic-resources/html-css/img/css-tech-info.png
)
SET(FM_WELCOME_FILES
${CMAKE_SOURCE_DIR}/src/messages/welcome_da.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_de.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_en.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_fi.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_fr.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_hi.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_nb.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_nl.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_no.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_ru.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_sr.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_sv.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_uk.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_zh_CN.html
${CMAKE_SOURCE_DIR}/src/messages/welcome_zh_TW.html
)

# tell cmake to process CMakeLists.txt in that subdirectory
SET(HYPHENATE_DIR src/hyphenate)
ADD_SUBDIRECTORY(${HYPHENATE_DIR})
SET(HYPHENATE_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/${HYPHENATE_DIR})



ADD_SUBDIRECTORY(src)

# dodict
# ADD_SUBDIRECTORY(src/langs)


######## Installation ##################

IF(UNIX AND NOT APPLE)
	SET(DESKTOPDIR "share/applications/")
	SET(MANDIR "share/man/")
	SET(ICONDIR "share/icons/hicolor/48x48/apps/")
	SET(RESOURCESDIR "share/fontmatrix/resources/")
	SET(HELPDIR "share/fontmatrix/help/")
	
	INSTALL(FILES
	fontmatrix.desktop
	DESTINATION ${DESKTOPDIR}
	)
	
	INSTALL(FILES
	fontmatrix.png
	DESTINATION ${ICONDIR}
	)
	
	INSTALL(FILES
	fontmatrix.1
	DESTINATION "${MANDIR}man1"
	)
	
	INSTALL(FILES
	${FM_TEMPLATES_FILES}
	${FM_STYLE_FILES}
	${FM_WELCOME_FILES}
	DESTINATION "${RESOURCESDIR}"
	)

	INSTALL(FILES
	${FM_HELP_FILES}
	DESTINATION "${HELPDIR}"
	)
ENDIF(UNIX AND NOT APPLE)

IF(APPLE)
# we do not "install" on apple’s OS
ENDIF(APPLE)

IF(WIN32)
	SET(RESOURCESDIR "share/resources/")
	SET(HELPDIR "help/")
	INSTALL(FILES
	${FM_TEMPLATES_FILES}
	${FM_STYLE_FILES}
	${FM_WELCOME_FILES}
	${FM_HELP_FILES}
	DESTINATION "${RESOURCESDIR}"
	)
	
	INSTALL(FILES
	${UNICODE_RESOURCES}
	DESTINATION "${RESOURCESDIR}/Unicode/"
	)
	
ENDIF(WIN32)

ADD_SUBDIRECTORY(help)
ADD_SUBDIRECTORY(samples)

SET(CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH})

INCLUDE(CPack)

## fontmatrix 0.6.0+svn20100107

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0)
 
 SET (VERSION_MAJOR "0")
-SET (VERSION_MINOR "9")
+SET (VERSION_MINOR "6")
 SET (VERSION_PATCH "99")
 SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 ADD_DEFINITIONS(-DFONTMATRIX_VERSION_MAJOR=${VERSION_MAJOR} -DFONTMATRIX_VERSION_MINOR=${VERSION_MINOR} -DFONTMATRIX_VERSION_PATCH=${VERSION_PATCH})

=== src/CMakeLists.txt ===
# Fontmatrix src/CMakeLists.txt v1

set(fontmatrix_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/aboutwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/dataexport.cpp
${CMAKE_CURRENT_SOURCE_DIR}/dataloader.cpp
${CMAKE_CURRENT_SOURCE_DIR}/dumpdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmactivate.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmactivationreport.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmaltcontext.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmaltselector.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmbaseshaper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmdumpinfo.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmencdata.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfloatingpreview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfontcompareview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfontdb.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfontextract.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmfontstrings.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmglyphhighlight.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmglyphsview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fminfodisplay.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmkernfeat.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmlayoptwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmlayout.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmmatchraster.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmmissingfonthelper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmnamelist.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmotf.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmpaths.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmplayground.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmpreviewlist.cpp
# fmprintdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmrepair.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmsampletextview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmshaper_own.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmuniblocks.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmutils.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fmverticalbutton.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontbook.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontbookdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontcomparewidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/fontmatrixshaper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/glyphtosvghelper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.cpp
# ${CMAKE_CURRENT_SOURCE_DIR}/helpwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/importedfontsdialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/importtags.cpp
${CMAKE_CURRENT_SOURCE_DIR}/iview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/QHexView.cpp
${CMAKE_CURRENT_SOURCE_DIR}/parallelcoor.cpp
${CMAKE_CURRENT_SOURCE_DIR}/puzzleviewimp.cpp
${CMAKE_CURRENT_SOURCE_DIR}/listdockwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
${CMAKE_CURRENT_SOURCE_DIR}/mainviewwidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/modeltext.cpp
${CMAKE_CURRENT_SOURCE_DIR}/panosedialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/panosematch.cpp
${CMAKE_CURRENT_SOURCE_DIR}/panosemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/panosewidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/pangoshaper.cpp
${CMAKE_CURRENT_SOURCE_DIR}/prefspaneldialog.cpp
${CMAKE_CURRENT_SOURCE_DIR}/remotedir.cpp
#${CMAKE_CURRENT_SOURCE_DIR}/savedata.cpp
${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.cpp
${CMAKE_CURRENT_SOURCE_DIR}/shortcuts.cpp
${CMAKE_CURRENT_SOURCE_DIR}/systray.cpp
# ${CMAKE_CURRENT_SOURCE_DIR}/tagseteditor.cpp
${CMAKE_CURRENT_SOURCE_DIR}/tagswidget.cpp
${CMAKE_CURRENT_SOURCE_DIR}/textprogression.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treeitem.cpp
${CMAKE_CURRENT_SOURCE_DIR}/treemodel.cpp
${CMAKE_CURRENT_SOURCE_DIR}/tttableview.cpp
${CMAKE_CURRENT_SOURCE_DIR}/typotek.cpp
)

IF(HARFBUZZSHAPER)
	SET(HARFBUZZ_SRCS
	harfbuzzqtshaper.cpp
	fmshaper.cpp)
ENDIF(HARFBUZZSHAPER)

IF(ICUSHAPER)
	SET(ICU_SRCS icushaper.cpp)
ENDIF(ICUSHAPER)

IF(M17NSHAPER)
	SET(M17N_SRCS
	m17nshaper.cpp
	)
ENDIF(M17NSHAPER)

IF(PODOFO)
	SET(PODOFO_SRCS
	fmpdffontextractor.cpp
	)
ENDIF(PODOFO)

SET(SHAPERS_SRCS
${HARFBUZZ_SRCS}
${ICU_SRCS}
${M17N_SRCS}
)

SET(SHAPERS_LIBRARIES
${ICU_LIBRARIES}
${M17N_LIBRARIES}
)

IF(WANT_PYTHONQT)
	SET(PYTHONQT_SCRIPTER_SRCS
	${CMAKE_CURRENT_SOURCE_DIR}/fmpython_w.cpp
	${CMAKE_CURRENT_SOURCE_DIR}/fmscriptconsole.cpp
	)
	SET(PYTHONQT_SCRIPTER_MOC_HDRS
	fmpython_w.h
	fmscriptconsole.h
	)
	SET(PYTHONQT_SCRIPTER_UIS
	${CMAKE_CURRENT_SOURCE_DIR}/scriptconsole.ui
	)
	SET(PYTHONQT_LIB PythonQt)
ENDIF(WANT_PYTHONQT)


SET(fontmatrix_MOC_HDRS
aboutwidget.h
dumpdialog.h
fmactivate.h
fmaltcontext.h
fmaltselector.h
fmfloatingpreview.h
fmfontcompareview.h
fmfontdb.h
fmfontextract.h
fmfontstrings.h
fmglyphhighlight.h
fmglyphsview.h
fmlayoptwidget.h
fmlayout.h
fmmatchraster.h
fmnamelist.h
fmplayground.h
fmpreviewlist.h
fmrepair.h
fmsampletextview.h
fontbookdialog.h
fontcomparewidget.h
fontitem.h
helpbrowser.h
# helpwidget.h
importtags.h
iview.h
QHexView.h
listdockwidget.h
mainviewwidget.h
modeltext.h
panosedialog.h
panosewidget.h
parallelcoor.h
prefspaneldialog.h
remotedir.h
sctextbrowser.h
shortcuts.h
systray.h
# tagseteditor.h
tagswidget.h
textprogression.h
tttableview.h
typotek.h
)
QT4_WRAP_CPP(fontmatrix_MOC_SRCS 
${fontmatrix_MOC_HDRS} 
${PYTHONQT_SCRIPTER_MOC_HDRS})


SET(fontmatrix_UIS
${CMAKE_CURRENT_SOURCE_DIR}/about.ui
${CMAKE_CURRENT_SOURCE_DIR}/activationreportdialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/altselectorwidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/bookexport.ui
${CMAKE_CURRENT_SOURCE_DIR}/comparewidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/dumpdialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/fontextractordialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/importedfonts.ui
${CMAKE_CURRENT_SOURCE_DIR}/importtags.ui
# ${CMAKE_CURRENT_SOURCE_DIR}/help.ui
${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.ui
${CMAKE_CURRENT_SOURCE_DIR}/layoutoptions.ui
${CMAKE_CURRENT_SOURCE_DIR}/listsdock.ui
${CMAKE_CURRENT_SOURCE_DIR}/mainview.ui
${CMAKE_CURRENT_SOURCE_DIR}/matchraster.ui
${CMAKE_CURRENT_SOURCE_DIR}/panosedialog.ui
${CMAKE_CURRENT_SOURCE_DIR}/panosewidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/prefs_panel.ui
${CMAKE_CURRENT_SOURCE_DIR}/repair.ui
# ${CMAKE_CURRENT_SOURCE_DIR}/tagset.ui
${CMAKE_CURRENT_SOURCE_DIR}/tagswidget.ui
${CMAKE_CURRENT_SOURCE_DIR}/textprogression.ui
${CMAKE_CURRENT_SOURCE_DIR}/tttablewidget.ui
)
QT4_WRAP_UI(fontmatrix_UIS_H 
${fontmatrix_UIS}
${PYTHONQT_SCRIPTER_UIS}
)

# extra translation files
SET(FONTMATRIX_TR_EXTRA
${CMAKE_CURRENT_SOURCE_DIR}/langs/unicode/uniblocks.cxx
)


SET(fontmatrix_RCCS
application.qrc
)
QT4_ADD_RESOURCES(fontmatrix_RCC_SRCS ${fontmatrix_RCCS})

FILE( GLOB FM_GLOB_TSS ${CMAKE_CURRENT_SOURCE_DIR}/messages/fontmatrix-*.ts )
# message(STATUS "lang files: ${FM_GLOB_TSS}")
IF ( TRANSLATOR )
	MESSAGE(STATUS "We are glad to see you handle the fontmatrix-${TRANSLATOR}.ts file, thank you very much")
	ADD_CUSTOM_TARGET(translation
			COMMAND ${QT_LUPDATE_EXECUTABLE}  ${fontmatrix_SRCS} ${fontmatrix_UIS} ${FONTMATRIX_TR_EXTRA} -ts "fontmatrix-${TRANSLATOR}.ts"
			DEPENDS ${fontmatrix_SRCS} ${fontmatrix_UIS}
			WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/messages"
			)
	SET( fontmatrix_TSS 
		${FM_GLOB_TSS} 
		"messages/fontmatrix-${TRANSLATOR}.ts" )
ELSE ( TRANSLATOR )
	SET( fontmatrix_TSS ${FM_GLOB_TSS} )
ENDIF( TRANSLATOR )





QT4_ADD_TRANSLATION ( fontmatrix_QMS ${fontmatrix_TSS} )
ADD_CUSTOM_TARGET ( translation_release ALL DEPENDS ${fontmatrix_QMS} )

# ADD_SUBDIRECTORY(messages)
ADD_SUBDIRECTORY(scripts)

include_directories(
${CMAKE_CURRENT_SOURCE_DIR}
${CMAKE_CURRENT_BINARY_DIR}
${QT_INCLUDE_DIR}
${QT_QT_INCLUDE_DIR}
${FREETYPE_INCLUDE_DIRS}
${HARFBUZZ_INCLUDE_DIR}
${FONTCONFIG_INCLUDE_DIR}
${ICU_INCLUDE_DIR}
${M17N_INCLUDE_DIR}
${HYPHENATE_INCLUDE_DIR}
${PYTHON_INCLUDE_PATH}
${PYTHONQT_INCLUDE_DIRS}
${LIBPODOFO_INCLUDE_DIR}
)


IF(UNIX AND NOT APPLE)
	add_executable(fontmatrix
	${fontmatrix_SRCS}
	${SHAPERS_SRCS}
	${PYTHONQT_SCRIPTER_SRCS}
	${fontmatrix_MOC_SRCS}
	${fontmatrix_UIS_H}
	${fontmatrix_RCC_SRCS}
	${PODOFO_SRCS}
	)

	target_link_libraries(fontmatrix harfbuzz hyphenate 
	${PYTHONQT_LIB}
	${QT_LIBRARIES}
	${FREETYPE_LIBRARIES}
	${FONTCONFIG_LIBRARIES}
	${SHAPERS_LIBRARIES}
	${PYTHON_LIBRARIES}
	${LIBPODOFO_LIBRARY}
	)

	INSTALL(TARGETS fontmatrix
	RUNTIME DESTINATION ${FONTMATRIX_BIN}
	)
	INSTALL ( FILES ${fontmatrix_QMS} DESTINATION ${FONTMATRIX_QMDIR} )
ENDIF(UNIX AND NOT APPLE)

IF(APPLE)
	add_executable(fontmatrix MACOSX_BUNDLE
	${fontmatrix_SRCS}
	${SHAPERS_SRCS}
	${PYTHONQT_SCRIPTER_SRCS}
	${fontmatrix_MOC_SRCS}
	${fontmatrix_UIS_H}
	${fontmatrix_RCC_SRCS}
	${PODOFO_SRCS}
	)

	target_link_libraries(fontmatrix harfbuzz hyphenate
	${PYTHONQT_LIB}
	${QT_LIBRARIES}
	${FREETYPE_LIBRARIES}
	${SHAPERS_LIBRARIES}
	${PYTHON_LIBRARIES}
	${LIBPODOFO_LIBRARY}
	)

	# here we’ll poupulate the bundle in order to make it
	# self containing regarding external libs (Qt4 & Freetype)
	# and resources such as QM files.
	# NOTE: Mac users are not expected to build Fontmatrix
	# themselves, thus paths are hard coded because it works on the Mac
	# where we use to build it, period.

	# See:
	# http://doc.trolltech.com/4.4/deployment-mac.html
	# http://developer.apple.com/documentation/CoreFoundation/Conceptual/CFBundles/CFBundles.html

	SET(PROGNAME fontmatrix)

	SET(MACOSX_BUNDLE_BUNDLE_NAME "fontmatrix")
	SET(MACOSX_BUNDLE_ICON_FILE "fontmatrix.icns")
	SET(MACOSX_BUNDLE_GUI_IDENTIFIER "org.undertype.fontmatrix")
	SET(MACOSX_BUNDLE_LONG_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
	SET(MACOSX_BUNDLE_SHORT_VERSION_STRING "${VERSION_MAJOR}.${VERSION_MINOR}")
	SET(MACOSX_BUNDLE_BUNDLE_VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
	SET(MACOSX_BUNDLE_COPYRIGHT "© Fontmatrix team - 2007, 2008")

	SET(BUNDLE_RESOURCES_DIR	"${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources/")
	SET(BUNDLE_LOCALES_DIR		"${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/Resources/Locales/")

# bundles general resources
	ADD_CUSTOM_COMMAND( TARGET ${PROGNAME} POST_BUILD
	COMMAND mkdir ARGS -p ${BUNDLE_RESOURCES_DIR}
	COMMAND cp ARGS  "${CMAKE_SOURCE_DIR}/src/graphic-resources/fontmatrix.icns" ${BUNDLE_RESOURCES_DIR}
	COMMAND cp ARGS ${FM_TEMPLATES_FILES} ${FM_STYLE_FILES} ${FM_WELCOME_FILES} ${FM_HELP_FILES} ${BUNDLE_RESOURCES_DIR}
	)
# bundles QM files
	ADD_CUSTOM_COMMAND( TARGET translation_release POST_BUILD
        COMMAND mkdir ARGS -p ${BUNDLE_LOCALES_DIR}
        COMMAND cp ARGS ${fontmatrix_QMS} ${BUNDLE_LOCALES_DIR}
	)
# bundles libs
	ADD_CUSTOM_COMMAND(TARGET ${PROGNAME} POST_BUILD
	COMMAND ${CMAKE_COMMAND} ARGS -Dinput_file=${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/MacOS/${PROGNAME} -P ${CMAKE_MODULE_PATH}/OwnIngestOSXBundleLibraries.cmake
	)

ENDIF(APPLE)

IF(WIN32)
	add_executable(fontmatrix WIN32
	${fontmatrix_SRCS}
	${SHAPERS_SRCS}
	${PYTHONQT_SCRIPTER_SRCS}
	${fontmatrix_MOC_SRCS}
	${fontmatrix_UIS_H}
	${fontmatrix_RCC_SRCS}
	${PODOFO_SRCS}
	)

	target_link_libraries(fontmatrix harfbuzz hyphenate
	${PYTHONQT_LIB}
	${QT_LIBRARIES}
	${FREETYPE_LIBRARIES}
	${SHAPERS_LIBRARIES}
	${PYTHON_LIBRARIES}
	${LIBPODOFO_LIBRARY}
	)

	INSTALL(TARGETS fontmatrix
	RUNTIME DESTINATION ${FONTMATRIX_BIN}
	)
	INSTALL ( FILES ${fontmatrix_QMS} DESTINATION ${FONTMATRIX_QMDIR} )
ENDIF(WIN32)

=== debian/changelog ===
fontmatrix (0.6.0+svn20100107-2ubuntu4) natty; urgency=low

  * Add debian/patches/no-indirect-linking
    - Add cmake/modules/FindICUUC.cmake and adjust CMakeLists.txt so the
      linker can find libicuuc

 -- Scott Kitterman <scott@kitterman.com>  Sat, 18 Dec 2010 18:27:43 -0500

fontmatrix (0.6.0+svn20100107-2ubuntu3) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:46:38 +0000

fontmatrix (0.6.0+svn20100107-2ubuntu2) maverick; urgency=low

  * rebuild on libqtwebkit-dev for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 10:05:31 +0100

fontmatrix (0.6.0+svn20100107-2ubuntu1) maverick; urgency=low

  * Add build-dep on libqt4-webkit-dev.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 19:05:10 +0200

fontmatrix (0.6.0+svn20100107-2) unstable; urgency=low

  * debian/patches/fminfodisplay.cpp: Created a new patch to fix FTBFS on
    armel as Michael's patch was incomplete (Closes: #563972).

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 09 Jan 2010 03:09:57 -0600

fontmatrix (0.6.0+svn20100107-1) unstable; urgency=low

  * Upstream svn snapshot.
  * debian/source/format: Switched to dpkg-source 3.0 (quilt) format.
  * debian/control: Updated Standards-Version to 3.8.3.
  * debian/patches/01_fminfodisplay.cpp.patch: fixes FTBFS on arm. Thanks to
    Michael Casadevall <mcasadevall@debian.org>.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 07 Jan 2010 10:53:40 -0600

fontmatrix (0.6.0-1) unstable; urgency=low

  * Upstream release.
  * debian/fontmatrix.1: Removed the file to use the upstrem manpage (Closes:
    #521211).
  * debian/rules: modified the dh_installman rule for the upstream manpage.
  * debian/control:
    - Updated Standards-Version to 3.8.2.
    - Added build-depends on libpuzzle-dev.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 05 Jul 2009 21:45:18 -0400

fontmatrix (0.5.0~svn20090515-1) unstable; urgency=low

  * Upstream svn snapshot.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 15 May 2009 14:10:54 -0500

fontmatrix (0.5.0~svn20090216-1) unstable; urgency=low

  * Upstream svn snapshot - first with the python scripting enabled.
  * debian/control: Added a build-depends on python-qt4, libicu-dev and
    libm17n-dev, python-all-dev.
  * debian/rules: Added a WANT_PYTHONQT, -DWANT_HARFBUZZ:bool=true,
    -DWANT_ICU:bool=true and -DWANT_M17N:bool=true to cmake configure run.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 16 Feb 2009 13:17:31 -0700

fontmatrix (0.5.0~svn20090114-2) unstable; urgency=low

  * debian/dirs: Added a /usr/share/fontmatrix/resources directory.
  * debian/rules: Install
    /usr/share/fontmatrix/resources/template_default.xml.
  * debian/install: rename fontmatrix.install to install and use it to install
    resources files for font book export templates.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 23 Jan 2009 16:22:06 -0700

fontmatrix (0.5.0~svn20090114-1) unstable; urgency=low

  * Upstream svn snapshot.
  * debian/control:
    - Added libqt4-sql-sqlite to Depends.
  * Debian/README.Debian: Added a note for users to delete
    ~/.Fontmatrix/Data.sql before upgrading due to the fast changing nature of
    the database schema.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 14 Jan 2009 16:54:56 -0700

fontmatrix (0.5.0~svn20081202-1) unstable; urgency=low

  * Upstream svn snapshot. Packages for Ubuntu/Intrepid.
  * debian/control:
    - Updated Standards-Version to 3.8.0.
    - Added libfontconfig1-dev to Build-Depends.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 02 Dec 2008 12:02:24 -0700

fontmatrix (0.5.0~svn20080806-1) unstable; urgency=low

  * Package an upstream pre-release snapshot as I make the package available
    for Ubuntu/hardy.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 06 Aug 2008 12:50:06 -0600

fontmatrix (0.4.2-3) unstable; urgency=low

  * debian/control: Updated uploader's email address.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 24 Apr 2008 13:23:54 -0600

fontmatrix (0.4.2-2) unstable; urgency=low

  * Added  libfontconfig1-dev, libpng12-dev, libice-dev, libsm-dev, libxi-dev,
    libxrandr-dev, libxrender-dev to build-depends as qt4 doesn't depend on
    them directly anymore (Closes: #477003).

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 21 Apr 2008 08:48:04 -0600

fontmatrix (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 07 Apr 2008 09:07:47 -0600

fontmatrix (0.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #466024).
  * debian/watch: Mangle the upstream version to remove (-Source) for proper
    uscan work.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 16 Feb 2008 16:44:33 -0700

fontmatrix (0.3.0-2) unstable; urgency=low

  * debian/control:
    - Added a build dependency on cmake.
    - Fixed a typo in the description (Closes: #456607).

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 14 Jan 2008 20:01:11 -0700

fontmatrix (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Changed the long description (Closes: #459499). Thanks to
    Tomas Pospisek for catching the problem.
  * debian/rules: Switch rules to use the new cmake-based build system.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 11 Jan 2008 18:17:16 -0700

fontmatrix (0.2svn-1) unstable; urgency=low

  * Initial release (Closes: #454629).

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 09 Dec 2007 14:24:04 -0700

=== debian/control ===
Source: fontmatrix
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5), libfreetype6-dev, libqt4-dev (>= 4.3), libqtwebkit-dev, cmake, libfontconfig1-dev, libm17n-dev, libicu-dev, python-all-dev, libpuzzle-dev, python-qt4
Standards-Version: 3.8.3
Homepage: http://www.fontmatrix.net/

Package: fontmatrix
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite
Description: featureful personal font manager
 fontmatrix is a manager built with the kind of features and abilities
 graphic designers, layout professionals along with others have felt
 necessary, but modernized with some new touches.
 .
 Fontmatrix has a concept of 'tagging'. This makes it really nice to group
 fonts and even sub-group them logically for use in a book for instance.
 It also has extensive gui support for showing all glyphs in a font,
 previews of sample text, variable sizing and also tells what kinds of
 advanced Open Type features are inside each font. These features have
 never been seen outside of a font editor. And not least, it creates a
 nice PDF catalogue of user's fonts for printing or reference. In short,
 fontmatrix is a font manager for professionals, but is nice and user
 friendly.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
package=fontmatrix
CMAKE=/usr/bin/cmake
DEBIAN_DIR = $(shell pwd)/debian
BUILD_DIR = $(shell pwd)/debian/build
INSTALL_DIR = $(shell pwd)/debian/fontmatrix

ifeq ($(DEB_HOST_GNU_TYPE), alpha-linux)
OPT_FLAG = -O0
else
OPT_FLAG = -O2
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

OPT_FLAG += -g -Wall

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p $(BUILD_DIR)
	cd $(BUILD_DIR) && $(CMAKE) \
		-DCMAKE_INSTALL_PREFIX:PATH=/usr \
		-DWANT_HARFBUZZ:bool=true \
		-DWANT_ICU:bool=true \
		-DWANT_M17N:bool=true \
		-DCMAKE_SKIP_RPATH:BOOL=1 \
		-DRPATH_STYLE:STRING=none \
		-DWANT_PYTHONQT:BOOL=1 \
		-DCMAKE_C_FLAGS:STRING='$(OPT_FLAG)' ../../
#for the future   -DWANT_PODOFO:bool=1
	touch configure-stamp
#            -DCMAKE_BUILD_TYPE=Debug

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	cd $(BUILD_DIR) && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf $(BUILD_DIR) $(INSTALL_DIR)
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_install *.desktop usr/share/applications/
	dh_install fontmatrix.png usr/share/pixmaps/
	# Add here commands to install the package into debian/fontmatrix.
#	cp bin/fontmatrix DESTDIR=$(CURDIR)/debian/fontmatrix/usr/bin/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installdirs
	dh_install
	dh_installexamples
	dh_installmenu
	dh_installman -pfontmatrix fontmatrix.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

upstream:
	find . -name ".svn*" -exec rm -rf {} \;

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fontmatrix 0.6.0+svn20110930

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,25 @@
 
 set(fontmatrix_SRCS
 ${CMAKE_CURRENT_SOURCE_DIR}/aboutwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/activationwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/activationwidgetitem.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/browserwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/chartwidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/dataexport.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/dataloader.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/dumpdialog.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/familywidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filterbar.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filterdata.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filtersdialog.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filtersdialogitem.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filteritem.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filtermeta.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filterpanose.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/filtertag.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/floatingwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgetsregister.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgettoolbar.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmactivate.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmactivationreport.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmaltcontext.cpp
@@ -17,6 +33,7 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/fmfontdb.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmfontextract.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmfontstrings.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/fmfreetypelib.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmglyphhighlight.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmglyphsview.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fminfodisplay.cpp
@@ -36,6 +53,7 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/fmshaper_own.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmuniblocks.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmutils.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/fmvariants.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fmverticalbutton.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fontbook.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/fontbookdialog.cpp
@@ -51,24 +69,31 @@
 ${CMAKE_CURRENT_SOURCE_DIR}/QHexView.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/parallelcoor.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/puzzleviewimp.cpp
-${CMAKE_CURRENT_SOURCE_DIR}/listdockwidget.cpp
+#${CMAKE_CURRENT_SOURCE_DIR}/listdockwidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/main.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/mainviewwidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/metawidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/modeltext.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/openclosearrow.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/panosedialog.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/panosematch.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/panosemodel.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/panosewidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/pangoshaper.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/playwidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/prefspaneldialog.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/progressbarduo.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/remotedir.cpp
 #${CMAKE_CURRENT_SOURCE_DIR}/savedata.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/sampletoolbar.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/samplewidget.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/schelptreemodel.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/sctextbrowser.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/shortcuts.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/systray.cpp
 # ${CMAKE_CURRENT_SOURCE_DIR}/tagseteditor.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/tagswidget.cpp
+${CMAKE_CURRENT_SOURCE_DIR}/tagswidget_listmodel.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/textprogression.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/treeitem.cpp
 ${CMAKE_CURRENT_SOURCE_DIR}/treemodel.cpp
@@ -127,7 +152,20 @@
 
 SET(fontmatrix_MOC_HDRS
 aboutwidget.h
+browserwidget.h
+activationwidget.h
+activationwidgetitem.h
+chartwidget.h
+dataexport.h
 dumpdialog.h
+familywidget.h
+filterbar.h
+filterdata.h
+filtersdialog.h
+filtersdialogitem.h
+filteritem.h
+floatingwidget.h
+floatingwidgettoolbar.h
 fmactivate.h
 fmaltcontext.h
 fmaltselector.h
@@ -136,6 +174,7 @@
 fmfontdb.h
 fmfontextract.h
 fmfontstrings.h
+fmfreetypelib.h
 fmglyphhighlight.h
 fmglyphsview.h
 fmlayoptwidget.h
@@ -154,20 +193,27 @@
 importtags.h
 iview.h
 QHexView.h
-listdockwidget.h
+#listdockwidget.h
 mainviewwidget.h
+metawidget.h
 modeltext.h
+openclosearrow.h
 panosedialog.h
 panosewidget.h
 parallelcoor.h
+playwidget.h
 prefspaneldialog.h
+progressbarduo.h
 remotedir.h
+sampletoolbar.h
+samplewidget.h
 sctextbrowser.h
 shortcuts.h
 systray.h
 # tagseteditor.h
 tagswidget.h
-textprogression.h
+tagswidget_listmodel.h
+#textprogression.h
 tttableview.h
 typotek.h
 )
@@ -179,23 +225,39 @@
 SET(fontmatrix_UIS
 ${CMAKE_CURRENT_SOURCE_DIR}/about.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/activationreportdialog.ui
+${CMAKE_CURRENT_SOURCE_DIR}/activationwidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/activationwidgetitem.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/altselectorwidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/bookexport.ui
+${CMAKE_CURRENT_SOURCE_DIR}/browserwidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/chartwidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/comparewidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/dataexport.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/dumpdialog.ui
+${CMAKE_CURRENT_SOURCE_DIR}/familywidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/filterbar.ui
+${CMAKE_CURRENT_SOURCE_DIR}/filtersdialog.ui
+${CMAKE_CURRENT_SOURCE_DIR}/filtersdialogitem.ui
+${CMAKE_CURRENT_SOURCE_DIR}/filteritem.ui
+${CMAKE_CURRENT_SOURCE_DIR}/floatingwidgettoolbar.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/fontextractordialog.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/importedfonts.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/importtags.ui
 # ${CMAKE_CURRENT_SOURCE_DIR}/help.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/helpbrowser.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/layoutoptions.ui
-${CMAKE_CURRENT_SOURCE_DIR}/listsdock.ui
+#${CMAKE_CURRENT_SOURCE_DIR}/listsdock.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/mainview.ui
+${CMAKE_CURRENT_SOURCE_DIR}/metawidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/matchraster.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/panosedialog.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/panosewidget.ui
+${CMAKE_CURRENT_SOURCE_DIR}/playwidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/prefs_panel.ui
+${CMAKE_CURRENT_SOURCE_DIR}/progressbarduo.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/repair.ui
+${CMAKE_CURRENT_SOURCE_DIR}/sampletoolbar.ui
+${CMAKE_CURRENT_SOURCE_DIR}/samplewidget.ui
 # ${CMAKE_CURRENT_SOURCE_DIR}/tagset.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/tagswidget.ui
 ${CMAKE_CURRENT_SOURCE_DIR}/textprogression.ui
@@ -305,6 +367,7 @@
 	${SHAPERS_LIBRARIES}
 	${PYTHON_LIBRARIES}
 	${LIBPODOFO_LIBRARY}
+	"-framework ApplicationServices"
 	)
 
 	# here we’ll poupulate the bundle in order to make it
@@ -335,42 +398,3 @@
 	ADD_CUSTOM_COMMAND( TARGET ${PROGNAME} POST_BUILD
 	COMMAND mkdir ARGS -p ${BUNDLE_RESOURCES_DIR}
 	COMMAND cp ARGS  "${CMAKE_SOURCE_DIR}/src/graphic-resources/fontmatrix.icns" ${BUNDLE_RESOURCES_DIR}
-	COMMAND cp ARGS ${FM_TEMPLATES_FILES} ${FM_STYLE_FILES} ${FM_WELCOME_FILES} ${FM_HELP_FILES} ${BUNDLE_RESOURCES_DIR}
-	)
-# bundles QM files
-	ADD_CUSTOM_COMMAND( TARGET translation_release POST_BUILD
-        COMMAND mkdir ARGS -p ${BUNDLE_LOCALES_DIR}
-        COMMAND cp ARGS ${fontmatrix_QMS} ${BUNDLE_LOCALES_DIR}
-	)
-# bundles libs
-	ADD_CUSTOM_COMMAND(TARGET ${PROGNAME} POST_BUILD
-	COMMAND ${CMAKE_COMMAND} ARGS -Dinput_file=${CMAKE_CURRENT_BINARY_DIR}/${PROGNAME}.app/Contents/MacOS/${PROGNAME} -P ${CMAKE_MODULE_PATH}/OwnIngestOSXBundleLibraries.cmake
-	)
-
-ENDIF(APPLE)
-
-IF(WIN32)
-	add_executable(fontmatrix WIN32
-	${fontmatrix_SRCS}
-	${SHAPERS_SRCS}
-	${PYTHONQT_SCRIPTER_SRCS}
-	${fontmatrix_MOC_SRCS}
-	${fontmatrix_UIS_H}
-	${fontmatrix_RCC_SRCS}
-	${PODOFO_SRCS}
-	)
-
-	target_link_libraries(fontmatrix harfbuzz hyphenate
-	${PYTHONQT_LIB}
-	${QT_LIBRARIES}
-	${FREETYPE_LIBRARIES}
-	${SHAPERS_LIBRARIES}
-	${PYTHON_LIBRARIES}
-	${LIBPODOFO_LIBRARY}
-	)
-
-	INSTALL(TARGETS fontmatrix
-	RUNTIME DESTINATION ${FONTMATRIX_BIN}
-	)
-	INSTALL ( FILES ${fontmatrix_QMS} DESTINATION ${FONTMATRIX_QMDIR} )
-ENDIF(WIN32)

=== samples/bn/CMakeLists.txt ===


set(SAMPLES_BN
sample
)

install(FILES ${SAMPLES_BN}
	DESTINATION ${SAMPLE_DIR}/bn)

=== samples/pa/CMakeLists.txt ===


set(SAMPLES_PA
sample
)

install(FILES ${SAMPLES_PA}
	DESTINATION ${SAMPLE_DIR}/pa)

=== samples/udm/CMakeLists.txt ===
# Samples in Udmurt

set(SAMPLES_UDM
sample
)

install(FILES ${SAMPLES_UDM}
	DESTINATION ${SAMPLE_DIR}/udm)

=== src/hyphenate/CMakeLists.txt ===
INCLUDE_DIRECTORIES(
${CMAKE_SOURCE_DIR}/src
)

SET(HYPHENATE_SRCS
hnjalloc.c
hyphen.c
fmhyphenator.cpp
)

ADD_LIBRARY(hyphenate
STATIC ${HYPHENATE_SRCS})

=== src/messages/CMakeLists.txt ===
###########################################
## THIS FILE IS OBSOLETE !!!!!



# SET ( fontmatrix_TSS
#       fontmatrix-cs.ts
#       fontmatrix-da.ts
#       fontmatrix-de.ts
#       fontmatrix-en.ts
#       fontmatrix-fi.ts
#       fontmatrix-fr.ts
#       fontmatrix-hi.ts
#       fontmatrix-nb.ts
#       fontmatrix-nl.ts
#       fontmatrix-no.ts
#       fontmatrix-ru.ts
#       fontmatrix-sr.ts
#       fontmatrix-sv.ts
#       fontmatrix-uk.ts
#       fontmatrix-zh_CN.ts
#       fontmatrix-zh_TW.ts
#     )
# 
# IF ( TRANSLATOR )
# 	MESSAGE (STATUS "We are glad to see you handle the fontmatrix-${TRANSLATOR}.ts file, thank you very much" )
# 	MESSAGE (STATUS "Files to translate SRCS - ${fontmatrix_SRCS}")
# 	MESSAGE (STATUS "Files to translate UIS - ${fontmatrix_UIS}")
# 	MESSAGE (STATUS "Files to translate EXTRA- ${FONTMATRIX_TR_EXTRA}")
# 	QT4_CREATE_TRANSLATION ( fontmatrix_QMS 
# 				${fontmatrix_SRCS}
# 				${fontmatrix_UIS}
# 				${FONTMATRIX_TR_EXTRA}
# 				"fontmatrix-${TRANSLATOR}.ts" )
# 	QT4_ADD_TRANSLATION ( fontmatrix_QMS ${fontmatrix_TSS} )
# ELSE ( TRANSLATOR )
# 	QT4_ADD_TRANSLATION ( fontmatrix_QMS ${fontmatrix_TSS} )
# ENDIF ( TRANSLATOR )
# 
# ADD_CUSTOM_TARGET ( translation ALL DEPENDS ${fontmatrix_QMS} )
# 
# IF ( UNIX AND NOT APPLE )
# 	INSTALL ( FILES ${fontmatrix_QMS} DESTINATION ${FONTMATRIX_QMDIR} )
# ENDIF ( UNIX AND NOT APPLE )
# 
# IF ( APPLE )
# # 	ADD_EXECUTABLE ( fontmatrix MACOSX_BUNDLE ${fontmatrix_QMS} )
# 	SET_SOURCE_FILES_PROPERTIES ( ${fontmatrix_QMS} PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
# # 	INSTALL ( TARGETS fontmatrix BUNDLE DESTINATION  ${FONTMATRIX_BUNDLE_RESOURCE})
# ENDIF ( APPLE )
# 
# IF ( WIN32 )
# 	INSTALL ( FILES ${fontmatrix_QMS} DESTINATION ${FONTMATRIX_QMDIR} )
# ENDIF ( WIN32 )
#

=== debian/changelog ===
fontmatrix (0.6.0+svn20110930-1.1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 03:58:27 +0000

fontmatrix (0.6.0+svn20110930-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix type mismatch between qreal and double on ARM EABI (closes: #644250).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 13 Nov 2011 19:51:41 +0100

fontmatrix (0.6.0+svn20110930-1) unstable; urgency=low

  * Upstream svn snapshot (Closes: #554407, #628304).
  * debian/control:
    - Updated Standards-Version to 3.9.2.
    - Added build-depends on libqt4-opengl-dev and libqtwebkit-dev to prevent
      a ftbfs.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 30 Sep 2011 17:00:54 -0500

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Oleksandr Moskalenko <malex@debian.org>
 Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>, Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 5), libfreetype6-dev, libqt4-dev (>= 4.3), libqtwebkit-dev, cmake, libfontconfig1-dev, libm17n-dev, libicu-dev, python-all-dev, libpuzzle-dev, python-qt4
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 5), libfreetype6-dev, libqt4-dev (>= 4.3), cmake, libfontconfig1-dev, libm17n-dev, libicu-dev, python-all-dev, libpuzzle-dev, python-qt4, libqtwebkit-dev, libqt4-opengl-dev
+Standards-Version: 3.9.2
 Homepage: http://www.fontmatrix.net/
 
 Package: fontmatrix

=== debian/rules ===
--- 
+++ 
@@ -62,6 +62,11 @@
 #	cp bin/fontmatrix DESTDIR=$(CURDIR)/debian/fontmatrix/usr/bin/
 
 
+# Build architecture-dependent files here.
+#build %:
+#	dh $@
+#	dh_installman -pfontmatrix fontmatrix.1
+
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
@@ -87,8 +92,9 @@
 	dh_md5sums
 	dh_builddeb
 
+
 upstream:
 	find . -name ".svn*" -exec rm -rf {} \;
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
